## haskell-doc 19991028

=== Makefile ===

include defs.mk

docdir := $(datadir)/haskell-doc
libdocdir := $(docdir)/library-report
langdocdir := $(docdir)/report
tutdocdir := $(docdir)/tutorial

libfiles := $(shell cd haskell98-library-report && echo *)
langfiles := $(shell cd haskell98-report && echo *)
tutfiles := arrays.html   functions.html         io.html         pitfalls.html \
classes.html  goodies.html           modules.html    stdclasses.html \
              haskell-tutorial.html  monads.html     title.gif \
end.html      index.html             moretypes.html \
fig1.gif      indextutorial.html     numbers.html \
fig2.gif      intro.html             patterns.html 
tutcodefiles := \
code/Fringe.lhs   code/part12.lhs  code/part2.lhs   code/part4.lhs \
code/Tree.lhs     code/part13.lhs  code/part20.lhs  code/part5.lhs \
code/TreeADT.lhs  code/part14.lhs  code/part21.lhs  code/part6.lhs \
code/index.html   code/part15.lhs  code/part22.lhs  code/part7.lhs \
                  code/part16.lhs  code/part23.lhs  code/part8.lhs \
code/part1.lhs    code/part17.lhs  code/part24.lhs  code/part9.lhs \
code/part10.lhs   code/part18.lhs  code/part25.lhs \
code/part11.lhs   code/part19.lhs  code/part3.lhs


package := haskell-doc
version := 19991028

all : tut.stamp

tut.stamp: patch.stamp
	$(MAKE) -C haskell-98-tutorial-sources verbatim
	cd haskell-98-tutorial-sources && ./make-html && ./make-html
	touch $@

patch.stamp :
	cd haskell-98-tutorial-sources && \
	   patch < ../make-html.patch && \
	   patch < ../tex_hs.patch
	touch $@

unpatch : patch.stamp
	cd haskell-98-tutorial-sources && \
	   patch -fR < ../make-html.patch && \
	   patch -fR < ../tex_hs.patch
	rm $<

clean : unpatch
	$(RM) haskell-98-tutorial-sources/make-html.orig
	$(RM) haskell-98-tutorial-sources/make-html.rej
	$(RM) haskell-98-tutorial-sources/tex.hs.orig
	$(RM) haskell-98-tutorial-sources/tex.hs.rej
	$(RM) -r haskell-98-tutorial-sources/html/
	$(RM) haskell-98-tutorial-sources/verbatim
	$(RM) haskell-98-tutorial-sources/tutrefs
	$(RM) tut.stamp

install : tut.stamp
	$(INSTALL) -d $(docdir)
	$(INSTALL_DATA) index.html $(docdir)
	$(INSTALL_DATA) haskell98-bugs.html $(docdir)
	$(INSTALL_DATA) haskell98-report/h98.gif $(docdir)
	$(INSTALL) -d $(libdocdir)
	$(INSTALL_DATA) $(addprefix haskell98-library-report/, $(libfiles)) $(libdocdir)
	$(INSTALL) -d $(langdocdir)
	$(INSTALL_DATA) $(addprefix haskell98-report/, $(langfiles)) $(langdocdir)
	$(INSTALL) -d $(tutdocdir)
	$(INSTALL_DATA) $(addprefix haskell-98-tutorial-sources/html/, $(tutfiles)) $(tutdocdir)
	$(INSTALL) -d $(tutdocdir)/code
	$(INSTALL_DATA) $(addprefix haskell-98-tutorial-sources/html/, $(tutcodefiles)) $(tutdocdir)/code

uninstall :
	$(RM) $(addprefix $(libdocdir)/, $(libfiles))
	$(RM) $(addprefix $(langdocdir)/, $(langfiles))
	$(RM) $(addprefix $(tutdocdir)/, $(tutfiles))
	$(RM) $(addprefix $(tutdocdir)/, $(tutcodefiles))
	$(RM) $(docdir)/index.html
	$(RM) $(docdir)/haskell98-bugs
	-$(RMDIR) $(libdocdir)
	-$(RMDIR) $(langdocdir)
	-$(RMDIR) $(tutdocdir)/code
	-$(RMDIR) $(tutdocdir)

dist :	clean
	$(RM) -r $(package)-$(version)
	$(RM) $(package)-$(version).tar $(package)-$(version).tar.gz
	$(MKDIR) $(package)-$(version)
	$(LN) README $(package)-$(version)
	$(LN) ChangeLog $(package)-$(version)
	$(LN) Makefile defs.mk $(package)-$(version)
	$(LN) index.html $(package)-$(version)
	$(LN) *.patch $(package)-$(version)
	$(LN) haskell98-bugs.html $(package)-$(version)
	$(MKDIR) $(package)-$(version)/haskell98-report
	$(LN) $(addprefix haskell98-report/, $(langfiles)) $(package)-$(version)/haskell98-report
	$(MKDIR) $(package)-$(version)/haskell98-library-report
	$(LN) $(addprefix haskell98-library-report/, $(libfiles)) $(package)-$(version)/haskell98-library-report
	cp -r haskell-98-tutorial-sources $(package)-$(version)
	$(TAR) cf $(package)-$(version).tar $(package)-$(version)
	$(GZIP) -9 $(package)-$(version).tar
