## haskell-doc 20030420

=== debian/changelog ===
haskell-doc (20030420) unstable; urgency=low

  * Content split out to haskell98-report and haskell98-tutorial.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 20 Apr 2003 17:44:00 +0100

haskell-doc (19991028-3) unstable; urgency=low

  * Change packaging to use debhelper.
  * Fixed references in Gentle Introduction [Ganesh Sittampalam].
    Closes: #105685.
  * Changed maintainer to Ian Lynagh.
  * Minor grammatical corrections to description.
  * Corrected and updated build depends (added flex, debhelper, tetex-bin,
    fakeroot).

 -- Ian Lynagh <igloo@debian.org>  Sun, 24 Nov 2002 23:15:26 +0000

haskell-doc (19991028-2) unstable; urgency=low

  * Add Ian Lynagh to Uploaders, in preparation of he
    and Ganesh Sittampalam taking over as the principal
    co-maintainers in the future.  Closes: #88224.
  * Upgrade Standards-Version to 3.5.7
    + Add build-time dependencies.  Closes: #126071.
    + No longer create /usr/doc links.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 13 Nov 2002 20:47:09 +0200

haskell-doc (19991028-1) unstable; urgency=low

  * New upstream release.
     + All documents are now DFSG free.
  * debian/copyright: Note new licenses.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 28 Oct 1999 16:30:59 +0300

haskell-doc (19991022-2) unstable; urgency=low

  * debian/control: Move to main.
      This package contains two documents, the Haskell 98 report
      and the Haskell 98 Library Report, which are not DFSG-compliant.
      The only point that they fail is the requirement for free
      modification.  However, because these two documents define the Haskell
      language, and because Debian has accepted in main that kind
      of documents (the doc-rfc package, for example) even when they
      are not strictly free, I believe this package belongs in main.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 23 Oct 1999 19:27:21 +0300

haskell-doc (19991022-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.
  * debian/control (Description): Updated
  * debian/control (Standards-Version): Updated to 3.0.1,
    no changes to package necessary.
  * debian/haskell98-{lib,lang}: Updated paths.
  * debian/haskell98-tut: New file.
  * debian/{rules,prerm,postrm}: Use the new haskell98-tut
    file with doc-base.
  * debian/rules: build the tutorial in the build target.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 22 Oct 1999 17:28:25 +0300

haskell-doc (19990909-2) unstable; urgency=low

  * debian/copyright: Fixed a trivial error in the upstream URL.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 10 Sep 1999 00:19:29 +0300

haskell-doc (19990909-1) unstable; urgency=low

  * Denativized the source.  Closes: #44328.
      + debian/copyright: Rephrased.
  * debian/rules: Modernized.
      + Factorize install into a variable.
      + Don't use $(install_zipped)
      + Use stamp files.
      + Don't test for rootness
      + Remove $(rootdir) on start of build target.
      + Use -isp with dpkg-gencontrol.
  * debian/{prerm,postinst}: Implement the FHS transition scheme.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  9 Sep 1999 23:37:41 +0300

haskell-doc (19990712) unstable; urgency=low

  * Updated errata.
  * debian/copyright: updated.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 12 Jul 1999 23:25:00 +0300

haskell-doc (19990701) unstable; urgency=low

  * Upgraded Standards-Version to 3.0.0.0 with necessary
    changes to debian/rules and the doc-base files.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  1 Jul 1999 17:30:07 +0300

haskell-doc (19990620) unstable; urgency=low

  * Updated errata.
  * Include a symlink from the h98.gif in the language
    report to $(docdir).
  * Clean backup files from the toplevel
    directory too.
  * Switched to a new version numbering scheme
    indicating the date of the update.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 20 Jun 1999 20:49:25 +0300

haskell-doc (1) unstable; urgency=low

  * Initial release.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 28 Apr 1999 19:15:30 +0300
