=== debian/control ===
Source: haskell-doc
Maintainer: Ian Lynagh <igloo@debian.org>
Section: doc
Priority: optional
Standards-Version: 3.5.9.0
Build-Depends-Indep: debhelper (>> 3.0.0)

Package: haskell-doc
Architecture: all
Depends: haskell98-report, haskell98-tutorial
Suggests: hugs | ghc5 | nhc98 | ghc4
Description: Assorted Haskell language documentation
 This metapackage provides all the documentation for Haskell, "the"
 standard lazy functional programming language, packaged for Debian.
