## haskell-doc 20061127

=== debian/changelog ===
haskell-doc (20061127) unstable; urgency=low

  * Remove duplicate files in source tarball.
  * Update suggested implementations to match those in the archive
    (ghc6 | hugs). Closes: #321153.
  * Builddep on at least version 4 of debhelper (was version 3).
  * Remove empty postinst postrm preinst prerm.
  * Update standards version to 3.7.2.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 27 Nov 2006 20:02:34 +0000
