=== debian/control ===
Source: haskell-doc
Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
Section: doc
Priority: optional
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4)

Package: haskell-doc
Architecture: all
Depends: haskell98-report, haskell98-tutorial
Suggests: ghc6 | hugs
Description: Assorted Haskell language documentation
 This metapackage provides all the documentation for Haskell, "the"
 standard lazy functional programming language, packaged for Debian.
