## haskell-doc 20061128

=== debian/changelog ===
haskell-doc (20061128) unstable; urgency=medium

  * QA upload.
  * Switch to dh.
  * Package is orphaned (Bug #772423), set maintainer to "Debian QA Group".
  * Raise debhelper compat level to 9. Closes: #817492.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Aug 2016 00:20:28 +0200
