=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: haskell-doc
-Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: doc
 Priority: optional
-Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 4)
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9)
 
 Package: haskell-doc
 Architecture: all
